GuideLab API

Review hold requirement

Approves or rejects a submitted hold requirement. Only labs can review requirements. When all requirements are approved, the hold is automatically resolved and the order resumes its previous status.

POST
/orders/{id}/hold-requirements/{requirementId}/review

Approves or rejects a submitted hold requirement. Only labs can review requirements. When all requirements are approved, the hold is automatically resolved and the order resumes its previous status.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Order ID

requirementId*string

Hold requirement ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/orders/550e8400-e29b-41d4-a716-446655440000/hold-requirements/7c9e6679-7425-40de-944b-e07fc1f90ae7/review" \  -H "Content-Type: application/json" \  -d '{    "decision": "approved"  }'
{  "success": true,  "allApproved": true,  "autoResumed": true}
Empty
Empty
Empty
Empty